#!/usr/bin/perl

#created 2/10/2000 by Kirk Conyers
# kirkconyers@excite.com

#get the input parameters
$listdb = $ARGV[0];
$inputfile = $ARGV[1];
$workfile = $ARGV[2];
$outputfile = $ARGV[3];
$headerfile = $ARGV[4];

print ("Location of listdb.exe:  $listdb\n");
print ("Input File:   $inputfile\n");
print ("Work File:    $workfile\n");
print ("Output File:  $outputfile\n");
print ("Header File:  $headerfile\n");

#build the comma separated version of the database
system ("$listdb -x $inputfile $workfile");

#open input and output files
unless (open(INPUT, "$workfile")) {
	die("Could not open comma separated file $workfile.\n");
}

unless (open(OUTPUT, ">$outputfile")) {
	die("Could not open output file $outputfile.\n");
}

#remove the listdb.exe header record
$record = <INPUT>;

#write replacement header record, if present
if (open(HEADER, "$headerfile")) {
	$record = <HEADER>;
	print OUTPUT ("$record\n");
	close (HEADER);
}

#write the new output file
while ($record = <INPUT>) {

	#separate the fields
	@recarray = split(/,/, $record);

	#combine the note field with carriage returns
	$count = @recarray;
	$note = join("\r", @recarray[3..$count-1]);

	#create the new record
	$record = $recarray[0] . "," . $recarray[1] . "," . $recarray[2] . "," . $note;

	#write it out
	print OUTPUT ($record);
}

close (INPUT);
close (OUTPUT);
unlink ("$workfile");